From 312b710126ee7c11a94d9d282e215876dd81f2d5 Mon Sep 17 00:00:00 2001
From: Michael Tuexen <tuexen@fh-muenster.de>
Date: Tue, 23 Sep 2014 13:38:57 +0200
Subject: [PATCH] Trivial byte order bugfix.

This commit makes sure that the udp length is verified in
host byte order.

Signed-off-by: Michael Tuexen <tuexen@fh-muenster.de>
---
 gtests/net/packetdrill/run_packet.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gtests/net/packetdrill/run_packet.c b/gtests/net/packetdrill/run_packet.c
index 5b4c9f2..52d08d3 100644
--- a/gtests/net/packetdrill/run_packet.c
+++ b/gtests/net/packetdrill/run_packet.c
@@ -821,8 +821,8 @@ static int verify_udp(
 	const struct udp *script_udp = script_packet->headers[layer].h.udp;
 
 	if (check_field("udp_len",
-			script_udp->len,
-			actual_udp->len, error))
+			ntohs(script_udp->len),
+			ntohs(actual_udp->len), error))
 		return STATUS_ERR;
 	return STATUS_OK;
 }
-- 
2.0.0

